Get Specific Published Version
GET
/merchants/{merchantCode}/shops/{shopCode}/pages/{pageCode}/versions/{versionNumber}
const url = 'https://cms.shopgate.io/v1/merchants/example/shops/example/pages/example/versions/1';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://cms.shopgate.io/v1/merchants/example/shops/example/pages/example/versions/1Retrieves the full configuration of a published page as it existed at a specific version number.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”merchantCode
required
string
shopCode
required
string
pageCode
required
string
versionNumber
required
integer
Number of the page version
Responses
Section titled “Responses”Version of a page
Media typeapplication/json
object
page
object
code
Code of the entity
string
name
string
pageTitle
Localization object, see Entity Localization for further information.
object
key
additional properties
null | string
slug
string
type
string
isFavorite
boolean
isProtected
boolean
dropzones
object
cmsWidgetList
Array<object>
object
code
required
Code of the entity
string
widgetConfigDefinitionCode
required
Code of the entity
string
widgetConfig
required
object
key
additional properties
any
visibility
required
object
isHidden
boolean
scheduleStartDate
required
null | string format: date-time
scheduleEndDate
required
null | string format: date-time
layout
required
object
marginTop
required
number | null
marginBottom
required
number | null
marginLeft
required
number | null
marginRight
required
number | null
createDate
string format: date-time
updateDate
null | string format: date-time
lastPublishDate
null | string format: date-time
Example
{ "page": { "code": "8b2802a6-ab0e-4310-97d4-096ae8b3610f", "pageTitle": { "en-us": "string in english", "de-de": "Zeichenkette auf Deutsch" }, "type": "cms", "isFavorite": false, "isProtected": false, "dropzones": { "cmsWidgetList": [ { "code": "8b2802a6-ab0e-4310-97d4-096ae8b3610f", "widgetConfigDefinitionCode": "8b2802a6-ab0e-4310-97d4-096ae8b3610f", "visibility": { "isHidden": false, "scheduleStartDate": "2018-12-12T14:27:23.114Z", "scheduleEndDate": "2018-12-12T14:27:23.114Z" } } ] }, "createDate": "2018-12-12T14:27:23.114Z", "updateDate": "2018-12-12T14:27:23.114Z", "lastPublishDate": "2018-12-12T14:27:23.114Z" }}Resource not found
Media typeapplication/json
object
statusCode
number
code
required
string
message
required
string
Example
{ "code": "NotFound", "message": "Merchant not found"}
